Go to the first, previous, next, last section, table of contents.

# Kernel

The kernel is the part of Xconq shared by all interfaces. It does no I/O except to files or for debugging.

Specifically, the kernel supplies the following functionality:

- Data structure initialization. (`init_data_structures`)
- Game module loading and interpretation. (`load_game_module`)
- Initial player/side setup. (`make_trial_assignments`)
- Synthesis methods. (`run_synthesis_methods`)
- Final player/side setup. (`make_assignments`)
- Game execution. (`run_game`)
- Implementations of unit actions. (`prep_*_action`)
- AI players.
- Help Info (`get_help_text`)
- Game saving and scorekeeping.

- Configuration Options
- Porting the Kernel
- Writing New Synthesis Methods
- Writing New Namers
- Writing New AIs
- Extending GDL

Go to the first, previous, next, last section, table of contents.